Subject: RE: Postinstall Problem with 01bash.bat
From: "Kenneth Evans, Jr." <[email-masked]>
To: "'Eric Blake'" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 12 Dec 2006 09:50:05 -0600
List-Id: <cygwin.cygwin.com>

I could probably restore my Cygwin directory from a backup and try again.

        -Ken

-----Original Message-----
From: Eric Blake [mailto:[email-masked]] 
Sent: Monday, December 11, 2006 9:24 PM
To: Kenneth Evans, Jr.
Cc: [email-masked]
Subject: Re: Postinstall Problem with 01bash.bat

According to Kenneth Evans, Jr. on 12/11/2006 8:52 AM:
> Hi,
> 
>> What do the following say?
> 
>> $ ls -l /bin/sh.exe /bin/bash.exe
>> $ bash --version
>> $ sh --version
> 
> C:\Documents and Settings\evans>ls -l /bin/sh.exe /bin/bash.exe
> -rwxrwxrwx 1 evans Users 484352 Dec  6 08:17 /bin/bash.exe
> -rwxrwxrwx 1 evans None  451072 Feb 26  2006 /bin/sh.exe

A permissions problem,...

> 
> C:\Documents and Settings\evans>cp /bin/bash.exe /bin/sh.exe
> cp: cannot create regular file `/bin/sh.exe': Device or resource busy

compounded by the fact that sh was in use at the time.

>
> A dialog says: The procedure entry point rl_getenv_hook could not be
located
> in the link library cygreadline6.dll.  Afterward, I couldn't exit the
> command shell (Eventually I got the not-responding dialog.)

The dialog box is normal when you have the old 3.0 bash as /bin/sh, but
upgraded readline successfully.

> 
> I killed three bash.exe processes and one sh.exe.  Then it ran.  Then I
ran
> setup.exe, and it finished.  Cool.  If I could have found that information
> earlier, it would have saved a lot of time.  There are too many Google
hits
> on this problem.  I guess we still don't know what was wrong, either.

Phooey - now that you have gotten rid of the problem, I can't do any more
debugging via your system.  I'm still trying to reproduce the failure, by
manually sourcing /etc/profile.d/00bash.sh, but so far it seems I am just
catching list users, like you, reporting failure that is solved by a
simple cp, but where the postinstall script did not work.

- --
Life is short - so eat dessert first!

Eric Blake             [email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/